#! /bin/sh

# The godi_add switch: If we have a modern godi_console, simply execute
# "godi_console add <options>". If we don't have that, use the old
# C program, now installed as godi_add.bin.

GODI_TOOLS_HAS_ADD=0
GODI_TOOLS_HAS_DELETE=0

if [ -f "@PREFIX@/lib/godi/godi-tools.sh" ]; then
	# Get the configuration from this file:
	. "@PREFIX@/lib/godi/godi-tools.sh"
fi

if [ $GODI_TOOLS_HAS_ADD -gt 0 ]; then
	# Use modern godi_console:
	exec "@PREFIX@/sbin/godi_console" add "$@"
else
	# Use old-style program for emulation:
	exec "@PREFIX@/sbin/godi_add.bin" "$@"
fi